Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:master Regression?: No
Operating System: Ubuntu 10.14 Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 24432
Description

When loading a non-georeferenced image in the georeferencer

- the image cannot be seen

The same is true for pixel based geometries.

Both have been loaded, but are hard to find.
It looks as if they (the pixel values) are being transformed to 'WSG 84"'.
The crs of the loaded Raster takes on the Crs of the QGIS-Canvas (or some default settings) , when no georeferenced information was
found

- which in my case is a metric system

The QgsMapSettings.destinationCrs() of the mCanvas is 'WGS 84"

QgsMapSettings map_ settings=mCanvas->mapSettings();
QgsGeorefPluginGui::addRaster -3- mCanvas->mapSettings description[WGS 84]

| believe this was always the default behavior in the past.

But now, in QGIS 3, an extra step is needed (at least in the georeferencer) to insure that the default QgsMapSettings.destinationCrs()
(Wsg 84) of the georeferencer Canvas is not used.

mLayerRaster = new QgsRasterLayer( rasterFileName, mGcpBaseFileName );

mCanvas->setDestinationCrs(mLayerRaster->crs());

I am not sure what QgsRasterLayer and QgsVectorLayer use in these cases, looks as if the last used metric system is being taken.

Setting the Canvas with loaded raster crs resoves the problem.

When loading a non-georeferenced image in QGIS itsself, the result is the same as in pre QGIS 3 versions.

Related issues:
Duplicates QGIS Application - Bug report # 4377: if "Options -> CRS -> coordi... Closed 2011-10-14

History

#1 - 2017-05-08 11:16 AM - Giovanni Manghi
- Status changed from Open to Feedback

2025-04-27 12




| just tried on master/windows (can do also on Ubuntu later) and | don't see any difference from the (wrong anyway) way the non georeferenced images are

treated upon loading them in the georeferencer:

the behavior depends on how the QGIS general option "CRS for new layer" is configured. So if the option is set to "prompt for CRS" that makes sense for
rasters loaded in the canvas that may not have an explicit CRS (like the ones that have only the world file) but does not for rasters loaded in the
georeferencer: regardless if they don't have any CRS or have one the tool should not bother trying "apply" to them one.

After loading an image with no CRS in the georeferencer in QGIS master/Windows | can see it without apparently issues.
#2 - 2017-05-26 05:33 PM - Giovanni Manghi
- Resolution set to duplicate

- Easy fix? changed from Yes to No
- Status changed from Feedback to Closed

duplicate of #4377

#3 - 2017-05-26 07:38 PM - Jiirgen Fischer
- Duplicates Bug report #4377 if "Options -> CRS -> coordinate reference system for new layers" is set "prompt for CRS", then the CRS is asked when
loading a map into the georeferencer added
